import React from 'react'
import VirtualizedTable, { VirtualizedTableComponent } from './VirtualizedTable'
import { useSelector } from 'react-redux'
import Immutable from 'immutable'
import Center from '../../../../.storybook/Center'

export default {
  component: VirtualizedTableComponent,
  title: 'Sampo-UI/facet_results/VirtualizedTable',
  decorators: [storyFn => <Center>{storyFn()}</Center>]
}

export const results = [
  {
    id: 'http://ldf.fi/kotus-names-archive/Q5292577',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'mökki',
    broaderTypeLabel: 'Muu asutuskohde',
    collector: 'Närhi, Eeva Maria',
    broaderAreaLabel: 'Hankasalmi',
    collectionYear: '1957',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q5292577',
    positioningAccuracy: 'Paikka sijaitsee keruukartalla tämän karttaruudun alueella.',
    lat: '62.324939',
    long: '26.254019'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q5869516',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'asutusalue',
    broaderTypeLabel: 'Kylä tai kulmakunta',
    collector: 'Saarinen, Marketta',
    broaderAreaLabel: 'Kangasala',
    collectionYear: '1967',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q5869516',
    positioningAccuracy: 'Kerääjä on sijoittanut merkinnän tähän pisteeseen.',
    lat: '61.449581',
    long: '24.086432'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q5891983',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'tila',
    broaderTypeLabel: 'Talo',
    collector: 'Yli-Paavola, Jaakko',
    broaderAreaLabel: 'Kangasniemi',
    collectionYear: '1978',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q5891983',
    positioningAccuracy: 'Paikka sijaitsee keruukartalla tämän karttaruudun alueella.',
    lat: '62.155584',
    long: '26.507573'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q5915632',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Penttinen, Eira',
    broaderAreaLabel: 'Kanneljärvi',
    collectionYear: '1964',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q5915632',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q5915636',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Penttinen, Pirjo',
    broaderAreaLabel: 'Kanneljärvi',
    collectionYear: '1965',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q5915636',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q6248278',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: '-',
    collector: 'Pulliainen, Liina',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1948',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q6248278',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q6248367',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Kiljunen, Helena',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1946',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q6248367',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q6248398',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: '-',
    collector: 'Seppänen, Hilma',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1964',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q6248398',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q6248402',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Kiiskilä, Saara',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1965',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q6248402',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q6314243',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'tila',
    broaderTypeLabel: 'Talo',
    collector: 'Noponen, Irma',
    broaderAreaLabel: 'Konnevesi',
    collectionYear: '1961',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q6314243',
    positioningAccuracy: 'Paikka sijaitsee keruukartalla tämän karttaruudun alueella.',
    lat: '62.585251',
    long: '26.364554'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q6777858',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'tila',
    broaderTypeLabel: 'Talo',
    collector: 'Saloniemi, Marjut',
    broaderAreaLabel: 'Leppävirta',
    collectionYear: '1988',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q6777858',
    positioningAccuracy: 'Paikka sijaitsee keruukartalla tämän karttaruudun alueella.',
    lat: '62.656488',
    long: '27.825672'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q7231666',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'talo',
    broaderTypeLabel: 'Talo',
    collector: 'Leskinen, Heikki',
    broaderAreaLabel: 'Parikkala',
    collectionYear: '1952',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q7231666',
    positioningAccuracy: 'Kerääjä on sijoittanut merkinnän tähän pisteeseen.',
    lat: '61.616282',
    long: '29.613549'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q7231678',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'talo',
    broaderTypeLabel: 'Talo',
    collector: 'Soikkeli, Tauno',
    broaderAreaLabel: 'Parikkala',
    collectionYear: '1961',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q7231678',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q7390070',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'maantiemäki',
    broaderTypeLabel: 'Kohouma',
    collector: 'Rainio, Markku',
    broaderAreaLabel: 'Pielisjärvi',
    collectionYear: '1980',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q7390070',
    positioningAccuracy: 'Kerääjä on sijoittanut merkinnän tähän pisteeseen.',
    lat: '63.407795',
    long: '30.094225'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q7390098',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'tila',
    broaderTypeLabel: 'Talo',
    collector: 'Mönkkönen, Mauri',
    broaderAreaLabel: 'Pielisjärvi',
    collectionYear: '2010',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q7390098',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.',
    lat: '63.407032',
    long: '30.091714'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q7390121',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'vaara',
    broaderTypeLabel: 'Kohouma',
    collector: 'Rainio, Markku',
    broaderAreaLabel: 'Pielisjärvi',
    collectionYear: '1992',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q7390121',
    positioningAccuracy: 'Paikka sijaitsee keruukartalla tämän karttaruudun alueella.',
    lat: '63.225598',
    long: '30.129888'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q7390131',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'mäen kumpare',
    broaderTypeLabel: 'Kohouma',
    collector: 'Nevalainen, Jorma',
    broaderAreaLabel: 'Pielisjärvi',
    collectionYear: '1965',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q7390131',
    positioningAccuracy: 'Kerääjä on sijoittanut merkinnän tähän pisteeseen.',
    lat: '63.406994',
    long: '30.093595'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q8092886',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'kivi',
    broaderTypeLabel: 'Kivi',
    collector: 'Pehkoranta, Heikki',
    broaderAreaLabel: 'Suistamo',
    collectionYear: '1965',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q8092886',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q8416161',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'tila',
    broaderTypeLabel: 'Talo',
    collector: 'Salomaa, Alli',
    broaderAreaLabel: 'Tuusula',
    collectionYear: '1958',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q8416161',
    positioningAccuracy: 'Kerääjä on sijoittanut merkinnän tähän pisteeseen.',
    lat: '60.553625',
    long: '25.031946'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q8509242',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Rajaniemi, Marja-Liisa',
    broaderAreaLabel: 'Valkjärvi',
    collectionYear: '1968',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q8509242',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q8509250',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Noponen, Aila',
    broaderAreaLabel: 'Valkjärvi',
    collectionYear: '1962',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q8509250',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q8580034',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'mäki',
    broaderTypeLabel: 'Kohouma',
    collector: 'Kepsu, Saulo',
    broaderAreaLabel: 'Valkeala',
    collectionYear: '1988',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q8580034',
    positioningAccuracy: 'Kerääjä on sijoittanut merkinnän tähän pisteeseen.',
    lat: '60.866645',
    long: '26.975968'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q8580068',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'kivi',
    broaderTypeLabel: 'Kivi',
    collector: 'Kepsu, Saulo',
    broaderAreaLabel: 'Valkeala',
    collectionYear: '1981',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q8580068',
    positioningAccuracy: 'Kerääjä on sijoittanut merkinnän tähän pisteeseen.',
    lat: '60.977423',
    long: '27.128879'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383334',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: '-',
    collector: 'Pesonen, E.',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1958',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383334',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383335',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Veijalainen, Mikko',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383335',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383336',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: '-',
    collector: 'Veijalainen, Mikko',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383336',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383337',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Loponen, Eeva',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383337',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383338',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Loponen, Eeva',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383338',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383339',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'kirkonkylä',
    broaderTypeLabel: 'Kaupunkialue tai taajama',
    collector: 'Seppä, Mirjami',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383339',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383340',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Kähönen, Tuomas',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383340',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383341',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Paavolainen, Anna',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383341',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383342',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Paavolainen, Anna',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383342',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383343',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Paavolainen, Anna',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383343',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383344',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Paavolainen, Anna',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383344',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9383345',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'pitäjä',
    broaderTypeLabel: 'Kunta',
    collector: 'Paavolainen, Anna',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9383345',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9411526',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'tila',
    broaderTypeLabel: 'Talo',
    collector: 'Savikummun opintokerho',
    broaderAreaLabel: 'Parikkala',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9411526',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9411527',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'talo',
    broaderTypeLabel: 'Talo',
    collector: 'Soikkeli, Tauno',
    broaderAreaLabel: 'Parikkala',
    collectionYear: '1957',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9411527',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/kotus-names-archive/Q9437964',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: 'metsälohko',
    broaderTypeLabel: 'Metsäalue',
    collector: 'Manu, Niina',
    broaderAreaLabel: 'Suistamo',
    collectionYear: '1941',
    source: 'NA',
    markerColor: 'violet',
    namesArchiveLink: 'https://nimiarkisto.fi/wiki/Q9437964',
    positioningAccuracy: 'Sijainti on tiedossa vain keruupitäjän tarkkuudella.'
  },
  {
    id: 'http://ldf.fi/pnr/P_10546334',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: 'Kohouma',
    collector: '-',
    broaderAreaLabel: 'Lieksa',
    collectionYear: '-',
    source: 'PNR',
    markerColor: 'yellow',
    namesArchiveLink: '-',
    positioningAccuracy: '-',
    lat: '63.22418462756185',
    long: '30.12629087007873'
  },
  {
    id: 'http://ldf.fi/pnr/P_10685703',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: 'Talo',
    collector: '-',
    broaderAreaLabel: 'Parikkala',
    collectionYear: '-',
    source: 'PNR',
    markerColor: 'yellow',
    namesArchiveLink: '-',
    positioningAccuracy: '-',
    lat: '61.61551098819904',
    long: '29.611790575039695'
  },
  {
    id: 'http://ldf.fi/pnr/P_10428950',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: 'Talo',
    collector: '-',
    broaderAreaLabel: 'Leppävirta',
    collectionYear: '-',
    source: 'PNR',
    markerColor: 'yellow',
    namesArchiveLink: '-',
    positioningAccuracy: '-',
    lat: '62.65220291963925',
    long: '27.820375142194827'
  },
  {
    id: 'http://ldf.fi/pnr/P_10859148',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: 'Kohouma',
    collector: '-',
    broaderAreaLabel: 'Kangasniemi',
    collectionYear: '-',
    source: 'PNR',
    markerColor: 'yellow',
    namesArchiveLink: '-',
    positioningAccuracy: '-',
    lat: '62.15441893075162',
    long: '26.513133962157703'
  },
  {
    id: 'http://ldf.fi/pnr/P_10143117',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: 'Talo',
    collector: '-',
    broaderAreaLabel: 'Hämeenlinna',
    collectionYear: '-',
    source: 'PNR',
    markerColor: 'yellow',
    namesArchiveLink: '-',
    positioningAccuracy: '-',
    lat: '61.2344967509467',
    long: '24.44264533799503'
  },
  {
    id: 'http://ldf.fi/pnr/P_10694728',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: 'Talo',
    collector: '-',
    broaderAreaLabel: 'Tuusula',
    collectionYear: '-',
    source: 'PNR',
    markerColor: 'yellow',
    namesArchiveLink: '-',
    positioningAccuracy: '-',
    lat: '60.55356425906529',
    long: '25.031498594599306'
  },
  {
    id: 'http://ldf.fi/pnr/P_10547073',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: 'Talo',
    collector: '-',
    broaderAreaLabel: 'Lieksa',
    collectionYear: '-',
    source: 'PNR',
    markerColor: 'yellow',
    namesArchiveLink: '-',
    positioningAccuracy: '-',
    lat: '63.40795966773768',
    long: '30.09229090496659'
  },
  {
    id: 'http://ldf.fi/warsa/places/karelian_places/k_place_14',
    prefLabel: 'Kivennapa',
    modifier: '-',
    basicElement: '-',
    typeLabel: '-',
    broaderTypeLabel: 'Kirkonkylä , kaupunki',
    collector: '-',
    broaderAreaLabel: 'Kivennapa',
    collectionYear: '-',
    source: 'KK',
    markerColor: 'blue',
    namesArchiveLink: '-',
    positioningAccuracy: '-',
    lat: '60.348002',
    long: '29.72542'
  }
]

export const basic = () => {
  const clientSideFacetedSearch = useSelector(state => state.clientSideFacetedSearch)
  return (
    <div style={{ width: 900, height: 800 }}>
      <VirtualizedTable
        list={Immutable.List(results)}
        clientFS={clientSideFacetedSearch}
        clientFSSortResults={() => null}
        perspectiveID='clientFSPlaces'
      />
    </div>
  )
}
